uuid: c23cab46-cadb-4b78-a0f1-48212974f8a5
langcode: fr
status: true
dependencies:
  config:
    - field.field.paragraph.geofield_projet.field_carte
    - field.field.paragraph.geofield_projet.field_libele
    - field.field.paragraph.geofield_projet.field_principal
    - paragraphs.paragraphs_type.geofield_projet
  module:
    - leaflet
id: paragraph.geofield_projet.default
targetEntityType: paragraph
bundle: geofield_projet
mode: default
content:
  field_carte:
    type: leaflet_widget_default
    weight: 1
    region: content
    settings:
      map:
        leaflet_map: 'OSM Mapnik'
        height: 400
        auto_center: 1
        map_position:
          force: false
          center:
            lat: 0.0
            lon: 0.0
          zoomControlPosition: topleft
          zoom: 5
          minZoom: 1
          maxZoom: 18
          zoomFiner: 0
        scroll_zoom_enabled: 1
      input:
        show: true
        readonly: false
      toolbar:
        position: topright
        marker: defaultMarker
        drawPolyline: true
        drawRectangle: true
        drawPolygon: true
        drawCircle: false
        drawText: false
        editMode: true
        dragMode: true
        cutPolygon: false
        removalMode: true
        rotateMode: false
      reset_map:
        control: false
        options: '{"position": "topleft", "title": "Reset View"}'
      map_scale:
        control: false
        options: '{"position":"bottomright","maxWidth":100,"metric":true,"imperial":false,"updateWhenIdle":false}'
      fullscreen:
        control: false
        options: '{"position":"topleft","pseudoFullscreen":false}'
      path: '{"color":"#3388ff","opacity":"1.0","stroke":true,"weight":3,"fill":"depends","fillColor":"*","fillOpacity":"0.2","radius":"6"}'
      locate:
        control: false
        options: '{"position": "topright", "setView": "untilPanOrZoom", "returnToPrevBounds":true, "keepCurrentZoomLevel": true, "strings": {"title": "Locate my position"}}'
        automatic: false
      geocoder:
        control: false
        settings:
          position: topright
          input_size: 20
          providers: {  }
          min_terms: 4
          delay: 800
          zoom: 16
          popup: false
          options: ''
      geometry_validation: false
      feature_properties:
        values: ''
    third_party_settings: {  }
  field_libele:
    type: string_textfield
    weight: 2
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_principal:
    type: boolean_checkbox
    weight: 0
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
hidden:
  created: true
  status: true
